CoreFoundation.CFNumberType (JNA API)
Description: declaration: package: com.sun.jna.platform.mac, interface: CoreFoundation, enum: CFNumberType

Package com.sun.jna.platform.mac

# Enum Class CoreFoundation.CFNumberType

java.lang.Object
java.lang.Enum<CoreFoundation.CFNumberType>
com.sun.jna.platform.mac.CoreFoundation.CFNumberType

All Implemented Interfaces:
  `Serializable`, `Comparable<CoreFoundation.CFNumberType>`, `Constable`

Enclosing interface:
  CoreFoundation

public static enum CoreFoundation.CFNumberType extends Enum<CoreFoundation.CFNumberType>
Enum of values used for `CoreFoundation.CFNumberType` in `CoreFoundation.CFNumberGetValue(com.sun.jna.platform.mac.CoreFoundation.CFNumberRef, com.sun.jna.platform.mac.CoreFoundation.CFIndex, com.sun.jna.ptr.ByReference)` and `CoreFoundation.CFNumberGetType(com.sun.jna.platform.mac.CoreFoundation.CFNumberRef)`. Use `typeIndex()` for the expected integer value corresponding to the C-style enum.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `kCFNumberCFIndexType`
  `kCFNumberCGFloatType`
  `kCFNumberCharType`
  `kCFNumberDoubleType`
  `kCFNumberFloat32Type`
  `kCFNumberFloat64Type`
  `kCFNumberFloatType`
  `kCFNumberIntType`
  `kCFNumberLongLongType`
  `kCFNumberLongType`
  `kCFNumberMaxType`
  `kCFNumberNSIntegerType`
  `kCFNumberShortType`
  `kCFNumberSInt16Type`
  `kCFNumberSInt32Type`
  `kCFNumberSInt64Type`
  `kCFNumberSInt8Type`
  `unusedZero`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CoreFoundation.CFIndex`
  `typeIndex()`
  Index for the type of `CoreFoundation.CFNumberRef` stored.
  `static CoreFoundation.CFNumberType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CoreFoundation.CFNumberType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### unusedZero

    public static final CoreFoundation.CFNumberType unusedZero

  - ### kCFNumberSInt8Type

    public static final CoreFoundation.CFNumberType kCFNumberSInt8Type

  - ### kCFNumberSInt16Type

    public static final CoreFoundation.CFNumberType kCFNumberSInt16Type

  - ### kCFNumberSInt32Type

    public static final CoreFoundation.CFNumberType kCFNumberSInt32Type

  - ### kCFNumberSInt64Type

    public static final CoreFoundation.CFNumberType kCFNumberSInt64Type

  - ### kCFNumberFloat32Type

    public static final CoreFoundation.CFNumberType kCFNumberFloat32Type

  - ### kCFNumberFloat64Type

    public static final CoreFoundation.CFNumberType kCFNumberFloat64Type

  - ### kCFNumberCharType

    public static final CoreFoundation.CFNumberType kCFNumberCharType

  - ### kCFNumberShortType

    public static final CoreFoundation.CFNumberType kCFNumberShortType

  - ### kCFNumberIntType

    public static final CoreFoundation.CFNumberType kCFNumberIntType

  - ### kCFNumberLongType

    public static final CoreFoundation.CFNumberType kCFNumberLongType

  - ### kCFNumberLongLongType

    public static final CoreFoundation.CFNumberType kCFNumberLongLongType

  - ### kCFNumberFloatType

    public static final CoreFoundation.CFNumberType kCFNumberFloatType

  - ### kCFNumberDoubleType

    public static final CoreFoundation.CFNumberType kCFNumberDoubleType

  - ### kCFNumberCFIndexType

    public static final CoreFoundation.CFNumberType kCFNumberCFIndexType

  - ### kCFNumberNSIntegerType

    public static final CoreFoundation.CFNumberType kCFNumberNSIntegerType

  - ### kCFNumberCGFloatType

    public static final CoreFoundation.CFNumberType kCFNumberCGFloatType

  - ### kCFNumberMaxType

    public static final CoreFoundation.CFNumberType kCFNumberMaxType

- ## Method Details

  - ### values

    public static CoreFoundation.CFNumberType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CoreFoundation.CFNumberType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### typeIndex

    public CoreFoundation.CFIndex typeIndex()
    Index for the type of `CoreFoundation.CFNumberRef` stored.
    Returns:
      a `CoreFoundation.CFIndex` representing the enum ordinal.